package assets.walls
{
   import flash.display.*;
   import flash.events.*;
   import flash.geom.Point;
   
   [Embed(source="/_assets/assets.swf", symbol="assets.walls.wall_block2")]
   public class wall_block2 extends MovieClip
   {
       
      
      public var pp:Point;
      
      public var deep:Number = 5;
      
      public var space:Number = 0;
      
      public var scope:Object;
      
      public var planes:Array;
      
      public var dist:Number;
      
      public var hitBtn:SimpleButton;
      
      public var wide:Number = 150;
      
      public function wall_block2(param1:*)
      {
         pp = new Point(350 + 150,200);
         deep = 5;
         wide = 150;
         space = 0;
         planes = new Array();
         super();
         scope = param1;
         setData();
         addEventListener(Event.ENTER_FRAME,render);
         addEventListener(Event.REMOVED_FROM_STAGE,onRemove);
      }
      
      public function setData() : *
      {
         planes.push({
            "A":new Point(150,0),
            "B":new Point(150,-100),
            "cl":77891,
            "al":1
         });
         planes.push({
            "A":new Point(150,-100),
            "B":new Point(150,-105),
            "cl":6710886,
            "al":1
         });
         planes.push({
            "A":new Point(-150,0),
            "B":new Point(-150,-100),
            "cl":77891,
            "al":1
         });
         planes.push({
            "A":new Point(-150,-100),
            "B":new Point(-150,-105),
            "cl":6710886,
            "al":1
         });
      }
      
      public function onRemove(param1:Event) : *
      {
         removeEventListener(Event.ENTER_FRAME,render);
         removeEventListener(Event.REMOVED_FROM_STAGE,onRemove);
      }
      
      public function drawPlane(param1:*) : *
      {
         var _loc2_:* = undefined;
         var _loc3_:* = undefined;
         var _loc4_:* = undefined;
         var _loc5_:* = undefined;
         var _loc6_:* = undefined;
         var _loc7_:* = undefined;
         var _loc8_:* = undefined;
         var _loc9_:* = undefined;
         var _loc10_:* = undefined;
         var _loc11_:* = undefined;
         var _loc12_:* = undefined;
         var _loc13_:* = undefined;
         _loc2_ = new Point(pp.x - (x + param1.A.x),pp.y - y);
         _loc3_ = Math.atan2(_loc2_.y,_loc2_.x);
         _loc4_ = -deep * (1 / Math.tan(_loc3_));
         _loc5_ = new Point(pp.x - (x + param1.A.x),pp.y - (y + param1.A.y));
         _loc6_ = Math.atan2(_loc5_.y,_loc5_.x);
         _loc7_ = _loc4_ * Math.tan(_loc6_);
         _loc8_ = new Point(pp.x - (x + param1.B.x),pp.y - y);
         _loc9_ = Math.atan2(_loc8_.y,_loc8_.x);
         _loc10_ = -deep * (1 / Math.tan(_loc9_));
         _loc11_ = new Point(pp.x - (x + param1.B.x),pp.y - (y + param1.B.y));
         _loc12_ = Math.atan2(_loc11_.y,_loc11_.x);
         _loc13_ = _loc10_ * Math.tan(_loc12_);
         graphics.beginFill(param1.cl,param1.al);
         graphics.moveTo(param1.A.x,param1.A.y);
         graphics.lineTo(param1.A.x + _loc4_,param1.A.y + _loc7_);
         graphics.lineTo(param1.B.x + _loc10_,param1.B.y + _loc13_);
         graphics.lineTo(param1.B.x,param1.B.y);
         graphics.lineTo(param1.A.x,param1.A.y);
         graphics.endFill();
      }
      
      public function render(param1:Event) : *
      {
         var _loc2_:* = undefined;
         graphics.clear();
         _loc2_ = 0;
         while(_loc2_ < planes.length)
         {
            drawPlane(planes[_loc2_]);
            _loc2_++;
         }
      }
      
      public function addElements() : *
      {
      }
   }
}
